package com.bizofficer.api.zoom;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ZoomController {
	
	@Autowired
	private AZoomMeetingUtils cclsObj;

	@RequestMapping(value = {"/zoom-meeting"}, method = RequestMethod.GET)
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")ZoomBean objBean) {
		
		try {
			
			ZoomMeetingObjectDTO dtoObj = (ZoomMeetingObjectDTO) (Object) cclsObj.createMeeting(objBean);
			
			System.out.println("Meeting ID: "+dtoObj.getId());
			System.out.println("Meeting Password: "+dtoObj.getPassword());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(dtoObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
