package com.bizofficer.apiweb.analytics;

import java.util.List;

public class AnalyticsResponseBean {

	private String testSession, testName, startDate, studentName, marksDivision;
	private String totalTimeLabel, spentTimeLabel, remainingTimeLabel, averageTimePerQuestionLabel, averageSpeedPerQuestionLabel;
	private String topicIds, answerStatus;
	private Integer percentageTime, testType, totalQuestion, averageSpeedPerQuestion, averageTimePerQuestion, totalTime, totalTimeSeconds, timeSpent, timeRemaining,  rank, percentile, totalStudent;
	private Double timeTakenPercent, timeRemainingPercent, fullMarks, marksObtain, correctMarks, incorrectMarks, notAnsweredMarks;
	private String timeSpentMinutes, remainingTime;
	private Integer correctAnswers, incorrectAnswers, notAnswers, attemptedQuestions;
	private Integer percentageCorrectAnswers, percentageIncorrectAnswers, percentageNotAnswers;
	private Double percentageCorrectAttemptedQuestions, percentageIncorrectAttemptedQuestions;
	private Double questionWiseKnowledgeUnknown, questionWiseKnowledgeKnown, marksWiseKnowledgeUnknown, marksWiseKnowledgeKnown;
	private Long percentageMarks;
	private List<OverallPerformanceBean> overallPerformanceList;
	private List<SectionPerformanceBean> sectionPerformanceList;
	private List<String> sectionList;
	private List<SectionSetBean> sectionSet;
	private List<TopperCompareBean> topperCompare;
	
	
	public String getTestSession() {
		return testSession;
	}
	public void setTestSession(String testSession) {
		this.testSession = testSession;
	}
	public String getTestName() {
		return testName;
	}
	public void setTestName(String testName) {
		this.testName = testName;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public String getStudentName() {
		return studentName;
	}
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	public String getMarksDivision() {
		return marksDivision;
	}
	public void setMarksDivision(String marksDivision) {
		this.marksDivision = marksDivision;
	}
	public Integer getTimeSpent() {
		return timeSpent;
	}
	public void setTimeSpent(Integer timeSpent) {
		this.timeSpent = timeSpent;
	}
	public Integer getTotalTime() {
		return totalTime;
	}
	public void setTotalTime(Integer totalTime) {
		this.totalTime = totalTime;
	}	
	
	
	
	public Integer getRank() {
		return rank;
	}
	public void setRank(Integer rank) {
		this.rank = rank;
	}
	public Integer getPercentile() {
		return percentile;
	}
	public void setPercentile(Integer percentile) {
		this.percentile = percentile;
	}
	public Integer getTotalStudent() {
		return totalStudent;
	}
	public void setTotalStudent(Integer totalStudent) {
		this.totalStudent = totalStudent;
	}
	public List<SectionSetBean> getSectionSet() {
		return sectionSet;
	}
	public void setSectionSet(List<SectionSetBean> sectionSet) {
		this.sectionSet = sectionSet;
	}
	public List<TopperCompareBean> getTopperCompare() {
		return topperCompare;
	}
	public void setTopperCompare(List<TopperCompareBean> topperCompare) {
		this.topperCompare = topperCompare;
	}
	public Double getFullMarks() {
		return fullMarks;
	}
	public void setFullMarks(Double fullMarks) {
		this.fullMarks = fullMarks;
	}
	public Double getMarksObtain() {
		return marksObtain;
	}
	public void setMarksObtain(Double marksObtain) {
		this.marksObtain = marksObtain;
	}
	public Integer getTotalQuestion() {
		return totalQuestion;
	}
	public void setTotalQuestion(Integer totalQuestion) {
		this.totalQuestion = totalQuestion;
	}
	public String getTopicIds() {
		return topicIds;
	}
	public void setTopicIds(String topicIds) {
		this.topicIds = topicIds;
	}
	public Double getCorrectMarks() {
		return correctMarks;
	}
	public void setCorrectMarks(Double correctMarks) {
		this.correctMarks = correctMarks;
	}
	public Double getIncorrectMarks() {
		return incorrectMarks;
	}
	public void setIncorrectMarks(Double incorrectMarks) {
		this.incorrectMarks = incorrectMarks;
	}
	public Double getNotAnsweredMarks() {
		return notAnsweredMarks;
	}
	public void setNotAnsweredMarks(Double notAnsweredMarks) {
		this.notAnsweredMarks = notAnsweredMarks;
	}
	public Integer getTestType() {
		return testType;
	}
	public void setTestType(Integer testType) {
		this.testType = testType;
	}
	public Long getPercentageMarks() {
		return percentageMarks;
	}
	public void setPercentageMarks(Long percentageMarks) {
		this.percentageMarks = percentageMarks;
	}
	
	public Integer getPercentageTime() {
		return percentageTime;
	}
	public void setPercentageTime(Integer percentageTime) {
		this.percentageTime = percentageTime;
	}
	public String getTimeSpentMinutes() {
		return timeSpentMinutes;
	}
	public void setTimeSpentMinutes(String timeSpentMinutes) {
		this.timeSpentMinutes = timeSpentMinutes;
	}
	public Integer getCorrectAnswers() {
		return correctAnswers;
	}
	public void setCorrectAnswers(Integer correctAnswers) {
		this.correctAnswers = correctAnswers;
	}
	public Integer getIncorrectAnswers() {
		return incorrectAnswers;
	}
	public void setIncorrectAnswers(Integer incorrectAnswers) {
		this.incorrectAnswers = incorrectAnswers;
	}
	public Integer getNotAnswers() {
		return notAnswers;
	}
	public void setNotAnswers(Integer notAnswers) {
		this.notAnswers = notAnswers;
	}
	public String getAnswerStatus() {
		return answerStatus;
	}
	public void setAnswerStatus(String answerStatus) {
		this.answerStatus = answerStatus;
	}
	public Integer getPercentageCorrectAnswers() {
		return percentageCorrectAnswers;
	}
	public void setPercentageCorrectAnswers(Integer percentageCorrectAnswers) {
		this.percentageCorrectAnswers = percentageCorrectAnswers;
	}
	public Integer getPercentageIncorrectAnswers() {
		return percentageIncorrectAnswers;
	}
	public void setPercentageIncorrectAnswers(Integer percentageIncorrectAnswers) {
		this.percentageIncorrectAnswers = percentageIncorrectAnswers;
	}
	public Integer getPercentageNotAnswers() {
		return percentageNotAnswers;
	}
	public void setPercentageNotAnswers(Integer percentageNotAnswers) {
		this.percentageNotAnswers = percentageNotAnswers;
	}
	public List<OverallPerformanceBean> getOverallPerformanceList() {
		return overallPerformanceList;
	}
	public void setOverallPerformanceList(List<OverallPerformanceBean> overallPerformanceList) {
		this.overallPerformanceList = overallPerformanceList;
	}
	public List<SectionPerformanceBean> getSectionPerformanceList() {
		return sectionPerformanceList;
	}
	public void setSectionPerformanceList(List<SectionPerformanceBean> sectionPerformanceList) {
		this.sectionPerformanceList = sectionPerformanceList;
	}
	public List<String> getSectionList() {
		return sectionList;
	}
	public void setSectionList(List<String> sectionList) {
		this.sectionList = sectionList;
	}
	public String getRemainingTime() {
		return remainingTime;
	}
	public void setRemainingTime(String remainingTime) {
		this.remainingTime = remainingTime;
	}
	
	public Integer getAverageSpeedPerQuestion() {
		return averageSpeedPerQuestion;
	}
	public void setAverageSpeedPerQuestion(Integer averageSpeedPerQuestion) {
		this.averageSpeedPerQuestion = averageSpeedPerQuestion;
	}	
	public Double getTimeTakenPercent() {
		return timeTakenPercent;
	}
	public void setTimeTakenPercent(Double timeTakenPercent) {
		this.timeTakenPercent = timeTakenPercent;
	}
	public Double getTimeRemainingPercent() {
		return timeRemainingPercent;
	}
	public void setTimeRemainingPercent(Double timeRemainingPercent) {
		this.timeRemainingPercent = timeRemainingPercent;
	}
	public Integer getTotalTimeSeconds() {
		return totalTimeSeconds;
	}
	public void setTotalTimeSeconds(Integer totalTimeSeconds) {
		this.totalTimeSeconds = totalTimeSeconds;
	}
	public Integer getTimeRemaining() {
		return timeRemaining;
	}
	public void setTimeRemaining(Integer timeRemaining) {
		this.timeRemaining = timeRemaining;
	}
	public Integer getAverageTimePerQuestion() {
		return averageTimePerQuestion;
	}
	public void setAverageTimePerQuestion(Integer averageTimePerQuestion) {
		this.averageTimePerQuestion = averageTimePerQuestion;
	}
	public Integer getAttemptedQuestions() {
		return attemptedQuestions;
	}
	public void setAttemptedQuestions(Integer attemptedQuestions) {
		this.attemptedQuestions = attemptedQuestions;
	}
	public Double getPercentageCorrectAttemptedQuestions() {
		return percentageCorrectAttemptedQuestions;
	}
	public void setPercentageCorrectAttemptedQuestions(Double percentageCorrectAttemptedQuestions) {
		this.percentageCorrectAttemptedQuestions = percentageCorrectAttemptedQuestions;
	}
	public Double getPercentageIncorrectAttemptedQuestions() {
		return percentageIncorrectAttemptedQuestions;
	}
	public void setPercentageIncorrectAttemptedQuestions(Double percentageIncorrectAttemptedQuestions) {
		this.percentageIncorrectAttemptedQuestions = percentageIncorrectAttemptedQuestions;
	}
	public Double getQuestionWiseKnowledgeUnknown() {
		return questionWiseKnowledgeUnknown;
	}
	public void setQuestionWiseKnowledgeUnknown(Double questionWiseKnowledgeUnknown) {
		this.questionWiseKnowledgeUnknown = questionWiseKnowledgeUnknown;
	}
	public Double getQuestionWiseKnowledgeKnown() {
		return questionWiseKnowledgeKnown;
	}
	public void setQuestionWiseKnowledgeKnown(Double questionWiseKnowledgeKnown) {
		this.questionWiseKnowledgeKnown = questionWiseKnowledgeKnown;
	}
	public Double getMarksWiseKnowledgeUnknown() {
		return marksWiseKnowledgeUnknown;
	}
	public void setMarksWiseKnowledgeUnknown(Double marksWiseKnowledgeUnknown) {
		this.marksWiseKnowledgeUnknown = marksWiseKnowledgeUnknown;
	}
	public Double getMarksWiseKnowledgeKnown() {
		return marksWiseKnowledgeKnown;
	}
	public void setMarksWiseKnowledgeKnown(Double marksWiseKnowledgeKnown) {
		this.marksWiseKnowledgeKnown = marksWiseKnowledgeKnown;
	}
	public String getTotalTimeLabel() {
		return totalTimeLabel;
	}
	public void setTotalTimeLabel(String totalTimeLabel) {
		this.totalTimeLabel = totalTimeLabel;
	}
	public String getSpentTimeLabel() {
		return spentTimeLabel;
	}
	public void setSpentTimeLabel(String spentTimeLabel) {
		this.spentTimeLabel = spentTimeLabel;
	}
	public String getRemainingTimeLabel() {
		return remainingTimeLabel;
	}
	public void setRemainingTimeLabel(String remainingTimeLabel) {
		this.remainingTimeLabel = remainingTimeLabel;
	}
	public String getAverageTimePerQuestionLabel() {
		return averageTimePerQuestionLabel;
	}
	public void setAverageTimePerQuestionLabel(String averageTimePerQuestionLabel) {
		this.averageTimePerQuestionLabel = averageTimePerQuestionLabel;
	}
	public String getAverageSpeedPerQuestionLabel() {
		return averageSpeedPerQuestionLabel;
	}
	public void setAverageSpeedPerQuestionLabel(String averageSpeedPerQuestionLabel) {
		this.averageSpeedPerQuestionLabel = averageSpeedPerQuestionLabel;
	}
	
	
	
	
	
		
	
	
	
	
	
	

	

	
	
	
}
