package com.bizofficer.apiweb.classtestlist;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class ClassTestController {
	
	@Autowired
	private ClassTestService cclsObj;

	@Value("${rowsInPage}")
	private Integer rowsInPage;
	
	//// classtestlist?schoolId=1&classList=a&subjectList=b
	@SuppressWarnings("unchecked")
	@RequestMapping(value = {"/classtestlist"}, method = RequestMethod.GET)
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")BeanClassTest objBean) {
		
		try {
			
			System.out.println( "ClassTestController schoolId >>> " +  objBean.getSchoolId() );
			System.out.println( "ClassTestController Class >>> " +  objBean.getClassName() );
			
			List<ClassTestResponseBean> list = (List<ClassTestResponseBean>) (Object) cclsObj.doExecute(objBean);
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(list);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
