package com.bizofficer.apiweb.testrunning;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class TestRunDeleteController {
	
	@Autowired
	private TestRunDeleteService testRunServiceObj;
	
	////testrunningdelete?organisationId=71&studentId=iit_demot
	@RequestMapping(value = {"/testrunningdelete"}, method = {RequestMethod.GET})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")TestRunBean objBean) {
		
		try {
			
			System.out.println("TestRunDeleteController Organisation Id: "+objBean.getOrganisationId() );
			System.out.println("TestRunDeleteController Student Id: "+objBean.getStudentId() );
			
			TestRunResponseBean tsrbObj = (TestRunResponseBean) (Object) testRunServiceObj.save(objBean);
			
			System.out.println("TestRunDeleteController ResponseTxt: "+tsrbObj.getResponseTxt());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
