package com.bizofficer.apiweb.testsubmit;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class TestSubmitController {
	
	@Autowired
	private TestSubmitService testSubmitServiceObj;
	
	////testsubmit?testId=151&testType=3
	@RequestMapping(value = {"/testsubmit"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")TestSubmitBean objBean) {
		
		try {
			
			System.out.println("TestSubmitController Test Details: "+objBean.getAnsdetails() );
			
			TestSubmitResponseBean tsrbObj = (TestSubmitResponseBean) (Object) testSubmitServiceObj.save(objBean);
			
			System.out.println("TestSubmitController ResponseTxt: "+tsrbObj.getResponseTxt());
			System.out.println("TestSubmitController TestSession: "+tsrbObj.getTestSession());
			System.out.println("TestSubmitController TestType: "+tsrbObj.getTestType());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
