package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepTeacherAssociation;


@Repository
public interface PgprepTeacherAssociationRepository extends JpaRepository<PgprepTeacherAssociation, Long> {

	PgprepTeacherAssociation getIdBySchoolIdAndTeacherIdAndClassNameAndOrganisationIdAndSubject(Integer schoolId,Integer teacherId,String className,Integer organisationId,String subject);

	PgprepTeacherAssociation findByIdNotAndSchoolIdAndTeacherIdAndClassNameAndOrganisationIdAndSubject(Integer id,Integer schoolId,Integer teacherId,String className,Integer organisationId,String subject);
	
	@Transactional
	@Modifying
	void deleteByIdAndSchoolId(Integer id,Integer schoolId);
	
}
