package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.SubscriptionPaymentPayload;


@Repository
public interface SubscriptionPaymentPayloadRepository extends JpaRepository<SubscriptionPaymentPayload, Long> {

	
	@Transactional
	@Modifying
	void deleteById(Long id);

	
}
