package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.SubscriptionWebsites;


@Repository
public interface SubscriptionWebsitesRepository extends JpaRepository<SubscriptionWebsites, Long> {

	SubscriptionWebsites findIdByWebUrl(String webUrl);
	
	SubscriptionWebsites findIdByWebUrlAndIdNot(String webUrl, Integer id);
	
	@Transactional
	@Modifying
	void deleteById(Integer id);
	
}
