package com.bizofficer.teacher.scheduleliveclass;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class SaveLiveClassTeachController {
	
	@Autowired
	private SaveLiveClassTeachService cclsObj;

	@Value("${rowsInPage}")
	private Integer rowsInPage;
	
	@RequestMapping(value = {"/teacher-save-liveclasses"}, method = RequestMethod.POST)
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")BeanLiveClassTeach objBean) {
		
		try {
			
			LiveClassTeachResponseBean obj = (LiveClassTeachResponseBean) (Object) cclsObj.doExecute(objBean);
			
			System.out.println("SaveLiveClassController ResponseTxt: "+obj.getResponseTxt());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(obj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
