package com.bizofficer.admin.cache;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class CacheTempTreeviewAdmController {
	
	private static final Logger logger = Logger.getLogger(CacheTempTreeviewAdmController.class);
	
	@Autowired
	private CacheTempTreeviewAdmService serviceObj;
	
	@RequestMapping(value = {"/cachetemplatetreeviewadm"}, method = {RequestMethod.GET})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")TQCAdminBean objBean) {
		
		try {
			
			logger.info("Started");
			
			serviceObj.execute(objBean);
				
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body("OK");
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
