package com.bizofficer.admin.keywords;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.TypedQuery;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.entity.TopicKeyword;
import com.bizofficer.hibernate.repository.TopicKeywordRepository;


@Service
public class KeywordAdService{
	
	@Autowired
	EntityManagerFactory entityManagerFactory;
	
	@Autowired
	TopicKeywordRepository repoObj;
	
	public Object doExecute(Object obj) throws NotFoundException{
		//KeywordReqAdBean objBean = (KeywordReqAdBean) obj; 	
		
		KeywordAdResponseBean respObj = new KeywordAdResponseBean();
		
		try {
		
			respObj.setResponseTxt("failed");
			
			List<KeywordAdminBean> dataList = new ArrayList<KeywordAdminBean>();
			KeywordAdminBean kwdObj = null;
			EntityManager entityManager = entityManagerFactory.createEntityManager();
			entityManager.getTransaction().begin();
			
			TypedQuery<TopicKeyword> query = (TypedQuery<TopicKeyword>) entityManager.createQuery("from "+TopicKeyword.class.getName()+" WHERE status='Active' AND keyword is not null AND LENGTH(keyword)>0 group by keyword order by keyword ", TopicKeyword.class);
			List<?> resultList = query.getResultList();
			Iterator<?> iterator=resultList.iterator();	
			while(iterator.hasNext()){
				TopicKeyword myObj = (TopicKeyword)iterator.next();	
				
				kwdObj = new KeywordAdminBean();
				kwdObj.setId(myObj.getKeywordId());
				kwdObj.setTitle(myObj.getKeyword());
				
				dataList.add(kwdObj);
				
			}	
			
			respObj.setList(dataList);
			
			entityManager.getTransaction().commit();
			entityManager.close();
			
			respObj.setResponseTxt("success");
			
		}catch(Exception e) {
			e.getStackTrace();
		}
		
		return respObj;
		
	}
	

	


	
	
	
	
	
}
