package com.bizofficer.apiweb.studentdetail;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.entity.PgprepStudentDetails;


@Service
public class LastOpenedCourseService{
	
	private static final Logger logger = Logger.getLogger(LastOpenedCourseService.class);
	
	@Autowired
	EntityManagerFactory entityManagerFactory;
	
	public Object doExecute(Object obj) throws NotFoundException{
		BeanStu objBean = (BeanStu) obj; 	
		StudentsResponseBean responseObj = new StudentsResponseBean();
		
		try {
			
			responseObj.setResponseTxt("failed");
			
			logger.info("Student id: "+objBean.getId());
			logger.info("OpenedCourseIndex: "+objBean.getOpenedCourseIndex());
			
			EntityManager entityManager = entityManagerFactory.createEntityManager();
			entityManager.getTransaction().begin();
			
			PgprepStudentDetails findObj = (PgprepStudentDetails)entityManager.find(PgprepStudentDetails.class ,objBean.getId());
			findObj.setOpenedCourse(objBean.getOpenedCourseIndex());
			
			entityManager.getTransaction().commit();
			entityManager.close();
			
			responseObj.setResponseTxt("success");
			
		}catch(Exception e) {
			e.getStackTrace();
		}
		
		////System.out.println( "dataList >>> " +  dataList );
			
		return responseObj;
	}
	

	
}
