package com.bizofficer.apiweb.version;


import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.entity.PgprepMobileAppVersion;
import com.bizofficer.hibernate.repository.PgprepMobileAppVersionRepository;


@Service
public class VersionService{
	
	private static final Logger logger = Logger.getLogger(VersionService.class);

	@Autowired
	private PgprepMobileAppVersionRepository repo;

	public Object execute(Object obj) throws NotFoundException{

		VersionResponseBean responseBeanObj = new VersionResponseBean();
		
		try {
			responseBeanObj.setResponseTxt("failed");
			
				PgprepMobileAppVersion subsOtpObj = (PgprepMobileAppVersion) repo.findById(1);
				
				if(subsOtpObj!=null && subsOtpObj.getId()!=null && subsOtpObj.getId()>0) {
					
					responseBeanObj.setVersion(subsOtpObj.getVersion());
					responseBeanObj.setUrl(subsOtpObj.getUrl());
					responseBeanObj.setResponseTxt("OK"); 
					
				}else {	
					responseBeanObj.setResponseTxt("SomethingWrong"); 
				}
			
				logger.info("VersionService Version: "+responseBeanObj.getVersion());
			
		}catch(Exception e) {
			e.getStackTrace();			
		}
		
		
		return responseBeanObj;
	}
	
	
	
	
}
