package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepAdminRoles;


@Repository
public interface PgprepAdminRolesRepository extends JpaRepository<PgprepAdminRoles, Long> {

	PgprepAdminRoles getRoleIdByRoleName(String roleName);
	
	PgprepAdminRoles findByRoleId(Integer roleId);
	
	@Transactional
	@Modifying
	void deleteByRoleId(Integer id);
	
}
