package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepLiveClasses;


@Repository
public interface PgprepLiveClassesRepository extends JpaRepository<PgprepLiveClasses, Long> {

	PgprepLiveClasses findAllByTeacherId(Integer teacherId);
	
	PgprepLiveClasses findAllByTeacherId(String className);
	
	@Transactional
	@Modifying
	void deleteById(Integer id);
	
	
}
