package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepParentsChildren;


@Repository
public interface PgprepParentsChildrenRepository extends JpaRepository<PgprepParentsChildren, Long> {

	PgprepParentsChildren findByParentIdAndStudentId(Integer parentId, String studentId);
	
	@Transactional
	@Modifying
	void deleteById(Integer id);
	
}
