package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.bizofficer.hibernate.entity.PgprepTeachers;


@Repository
public interface PgprepTeachersRepository extends JpaRepository<PgprepTeachers, Long> {

	PgprepTeachers getIdByLoginId(String loginId);

	PgprepTeachers getIdByLoginIdAndIdNot(String loginId, Integer id);
	
	PgprepTeachers findByEmailId(String emailId);
	
	PgprepTeachers findByEmailIdAndIdNot(String emailId, Integer id);
	
	PgprepTeachers getIdBySchoolIdAndLoginIdAndLoginToken(Integer schoolId, String loginId, String loginToken);
	
	
	
}
