package com.bizofficer.school.sclogin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class SchoolLoginController {
	
	@Autowired
	private SchoolLoginService serviceObj;
	
	////login?userId=&password=
	@RequestMapping(value = {"/schooluserlogin"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")SchoolLoginBean objBean) {
		
		try {
			
			System.out.println("SchoolLoginController UserId: "+objBean.getUserId() );
			
			SchoolLoginResponseBean tsrbObj = (SchoolLoginResponseBean) (Object) serviceObj.execute(objBean);
			
			System.out.println("SchoolLoginController ResponseTxt: "+tsrbObj.getResponseTxt());
			System.out.println("SchoolLoginController Token: "+tsrbObj.getToken());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
			/////return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body(e);
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
