package com.bizofficer.subscription.courses;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class CoursesCategoryController {
	
	@Autowired
	private CoursesCategoryService serviceObj;
	
	@SuppressWarnings("unchecked")
	@RequestMapping(value = {"/coursescategory"}, method = {RequestMethod.GET})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")ACoursesBean objBean) {
		
		try {
			
			List<CoursesCategoryResponseBean> tsrbObj = (List<CoursesCategoryResponseBean>) (Object) serviceObj.execute(objBean);
			
			///System.out.println("CoursesController ResponseTxt: "+tsrbObj.getResponseTxt());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
			/////return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body(e);
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
