package com.bizofficer.teacher.association;



import javax.persistence.EntityManagerFactory;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.repository.PgprepSchoolUsersRepository;
import com.bizofficer.hibernate.repository.PgprepTeacherAssociationRepository;


@Service
public class TeacherAssociationDeleteZService{
	
	private static final Logger logger = Logger.getLogger(TeacherAssociationDeleteZService.class);
	
	@Autowired
	EntityManagerFactory entityManagerFactory;
	
	@Autowired
	PgprepSchoolUsersRepository adminRepo;
	
	@Autowired
	PgprepTeacherAssociationRepository techRepo;
	
	public Object execute(Object obj) throws NotFoundException{
		TeachRequestzBean objBean = (TeachRequestzBean) obj;
		TeacherAssociationZResponse responseListObj = new TeacherAssociationZResponse();
		
		try {
			
			responseListObj.setResponseTxt("failed");
			
			logger.info("School Id >> " + objBean.getSchoolId() );
			
			techRepo.deleteByIdAndSchoolId(objBean.getTeacherAssociationId(),objBean.getSchoolId());

			responseListObj.setResponseTxt("success");
				
		        
		}catch(Exception e) {
			e.getStackTrace();
		}
		
		
		return responseListObj;
	}
	

	
	

	
	
}
