import React from 'react';
import {Box, Container, Grid} from '@material-ui/core';
import {MetaTags} from 'react-meta-tags';
///import axios from 'axios';
import { useSelector } from 'react-redux';
///import {API_URL} from '../utils/EnvVars';
import Header from "./HeaderMy";
import '../styles/bizofficer-a.css';
  
  export default function Execute() {
	const selectedCourse = useSelector(state => state.selectedCourse); 
  	const mySelectedCourses = useSelector(state => state.mySelectedCourses);
  	const [organisationName, setOrganisationName] = React.useState("");

	  React.useEffect(() => {
			if(mySelectedCourses!==null && selectedCourse>=0){
				setOrganisationName(mySelectedCourses[selectedCourse].organisationName);
			}
		}, [mySelectedCourses, selectedCourse]);
		
		
	return (
		<div> 
				<MetaTags>
            		<title>Validity has been finished</title>
          		</MetaTags>
				
				<Header />
				<Container>	

					<Box mt={1}>
						<Grid container spacing={2}>						
							<Grid item md={12}>
								<h2 style={{marginTop:'8%', textAlign:'center',color:'#FF0000',fontWeight:'bold'}}>
								{(organisationName && organisationName.length>0)?<>{organisationName}'s</>:null} Validity has been finished. Upgrade Now to continue your practice.
								</h2>
							</Grid>								
						</Grid>
					</Box>

				</Container>

		</div>	
	);
  }