import React from 'react';
import {Box, Container, Grid} from '@material-ui/core';
import {MetaTags} from 'react-meta-tags';
import { useSelector } from 'react-redux';
import Header from "./HeaderMy";
import '../styles/bizofficer-a.css';
  
  export default function Execute() {
	const userObj = useSelector(state => state.teacherDetails);

	///const [profile, setProfile] = React.useState({});
	// React.useEffect(() => {
	// 	///alert('ss');
	// 	getApiData();	
	// }, []); 

	// async function getApiData(){
	// 		axios.get(API_URL+'/studentdetail?organisationId=71&studentId=iit_demot')
	// 		   .then(response => {
	// 			///console.log("Just Checking >> "+response.data);  
	// 			setProfile(response.data[0]);				 				
	// 		})
	// }

	return (
		<div> 
				<MetaTags>
            		<title>Profile</title>
          		</MetaTags>
				
				<Header />
				<Container>	

					<Box mt={1}>
							<Grid container spacing={2}>
								<Grid item md={12} xs={12}>
									<h3 className="heading" >Profile</h3>
								</Grid>
							</Grid>
					</Box>

					<Box mt={1}>
						<Grid className="divBorderBox" container spacing={2}>	
								<Grid item md={6} xs={6}>School</Grid>
								<Grid item md={6} xs={6}>{userObj.schoolName}</Grid>					
								<Grid item md={6} xs={6}>Name</Grid>
								<Grid item md={6} xs={6}>{userObj.teacherName}</Grid>								
								<Grid item md={6} xs={6}>Email</Grid>
								<Grid item md={6} xs={6}>{userObj.emailId}</Grid>								
						</Grid>
					</Box>

				</Container>

		</div>	
	);
  }