import { ADD_BIRD } from "./birds.types";
import { INCREMENT_BIRD } from "./birds.types";

const defaultBirds = [
  {
    name: 'robin',
    views: 1,
  }
];

export default function birds(state=defaultBirds, action) {
	switch (action.type) {
		case ADD_BIRD:
		  return [
			...state,
			{
			  name: action.bird,
			  views: 1
			}
		  ];
		case INCREMENT_BIRD:
			const bird = state.find(b => action.bird === b.name);
			  const birds = state.filter(b => action.bird !== b.name);

			return [
					...birds,
					{
					  ...bird,
					  views: bird.views + 1
					}
				  ];
	  
		default:
		  return state;
   }
   
}