package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepKeywordContent;


@Repository
public interface PgprepKeywordContentRepository extends JpaRepository<PgprepKeywordContent, Long> {

	PgprepKeywordContent getIdByContentName(String contentName);
	
	@Transactional
	@Modifying
	void deleteById(Integer id);
	
}
