package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.SubscriptionPromocode;


@Repository
public interface SubscriptionPromocodeRepository extends JpaRepository<SubscriptionPromocode, Long> {

	SubscriptionPromocode findIdByCode(String code);
	
	SubscriptionPromocode findIdByCodeAndIdNot(String code, Integer id);

	@Transactional
	@Modifying
	void deleteById(Integer id);
	
}
