package com.bizofficer.admin.cache;



import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

import javax.sql.DataSource;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.util.module.MysqlTableNames;


@Service
public class SyncAssessmentTreeviewTempService{
	
	private static final Logger logger = Logger.getLogger(SyncAssessmentTreeviewTempService.class);
	
	@Autowired
    DataSource appDataSource;
    Connection conn;
    PreparedStatement ps;
    ResultSet rs;
	
	public Object execute(Object obj) throws NotFoundException{
		TQCAdminResponseBean loginResponseBeanObj = new TQCAdminResponseBean();
		
		try {
			
	            conn = appDataSource.getConnection();
	            if (conn != null) {
	            		
		                conn.createStatement().execute("TRUNCATE TABLE "+MysqlTableNames.getPgprepAssessmentTreeviewTemp());
	
		                conn.createStatement().execute("INSERT INTO "+MysqlTableNames.getPgprepAssessmentTreeviewTemp()+" (childnode_id,parentnode_name,childnode_name,status,node_position) SELECT  childnode_id,parentnode_name,childnode_name,status,node_position  FROM "+MysqlTableNames.getAssessmentTreeview());
		                
	            	
		                loginResponseBeanObj.setResponseTxt("Synchronous_DONE");
						logger.info("**************************************************************");
						logger.info("Pgprep Assessment Treeview Temp Table Synchronous COMPLETED SUCCESSFULLY");
						logger.info("**************************************************************");
					
	          }		
	         conn.close();
		        
		}catch(Exception e) {
			e.getStackTrace();
		}
		
		
		return loginResponseBeanObj;
	}
	
	
	
}
