package com.bizofficer.admin.login;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class LoginAdminController {
	
	@Autowired
	private LoginAdminService loginServiceObj;
	
	////teacherlogin?userId=&password=
	@RequestMapping(value = {"/adminlogin"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")LoginAdminBean objBean) {
		
		try {
			
			System.out.println("LoginAdminController UserId: "+objBean.getUserId() );
			
			LoginAdminResponseBean tsrbObj = (LoginAdminResponseBean) (Object) loginServiceObj.execute(objBean);
			
			System.out.println("LoginAdminController ResponseTxt: "+tsrbObj.getResponseTxt());
			System.out.println("LoginAdminController Token: "+tsrbObj.getToken());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
