package com.bizofficer.apiweb.feedback;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class FBController {
	
	@Autowired
	private FBService loginServiceObj;
	
	////sendfeedback?studentId=&questionId=&feedback
	@RequestMapping(value = {"/sendfeedback"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")FBBean objBean) {
		
		try {
			
			System.out.println("FeedbackController StudentId: "+objBean.getStudentId() );
			System.out.println("FeedbackController QuestionId: "+objBean.getQuestionId() );
			
			FBResponseBean tsrbObj = (FBResponseBean) (Object) loginServiceObj.execute(objBean);
			
			System.out.println("FeedbackController ResponseTxt: "+tsrbObj.getResponseTxt());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
