package com.bizofficer.apiweb.feedbacktypes;



import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.entity.PgprepFeedbackType;
import com.bizofficer.hibernate.repository.PgprepFeedbackTypeRepository;

import java.util.List;


@Service
public class FBTService{
	
	
	@Autowired
	PgprepFeedbackTypeRepository myRepo;
    
	public Object execute(Object obj) throws NotFoundException{
		///FBTBean objBean = (FBTBean) obj; 	
		FBTResponseBean responseBeanObj = new FBTResponseBean();
		
		try {
			
			responseBeanObj.setResponseTxt("failed");
			
			List<PgprepFeedbackType> list = myRepo.findAllByOrderByPositionAsc();
			
			responseBeanObj.setList(list);
			
			responseBeanObj.setResponseTxt("success");
			
		}catch(Exception e) {
			e.getStackTrace();
		}
		
		
		return responseBeanObj;
	}
	
	
	
	
}
