package com.bizofficer.apiweb.studentdetail;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class LastOpenedCourseController {
	
	@Autowired
	private LastOpenedCourseService serviceObj;

	@RequestMapping(value = {"/lastopenedcourse"}, method = RequestMethod.POST)
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")BeanStu objBean) {
		
		try {
			
			StudentsResponseBean responseObj = (StudentsResponseBean) (Object) serviceObj.doExecute(objBean);
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(responseObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
