package com.bizofficer.apiweb.studymaterials;

import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class HelpContentController {
	
	private static final Logger logger = Logger.getLogger(HelpContentController.class);
	
	@Autowired
	private HelpContentService cclsObj;

	@SuppressWarnings("unchecked")
	@RequestMapping(value = {"/helpcontent"}, method = RequestMethod.GET)
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")BeanTC objBean) {
		
		try {
			
			List<TopicContentBean> list = (List<TopicContentBean>) (Object) cclsObj.doExecute(objBean);
			
			logger.info("Total Found: "+list.size());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(list);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
