package com.bizofficer.apiweb.teststop;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class TestStopController {
	
	@Autowired
	private TestStopService testSubmitServiceObj;
	
	////teststop?organisationId=71&studentId=iit_demot&testDetail=&testSession=
	@RequestMapping(value = {"/teststop"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")TestStopBean objBean) {
		
		try {
			
			System.out.println("TestStopController Organisation Id: "+objBean.getOrganisationId() );
			System.out.println("TestStopController Student Id: "+objBean.getStudentId() );
			
			TestStopResponseBean tsrbObj = (TestStopResponseBean) (Object) testSubmitServiceObj.save(objBean);
			
			System.out.println("TestStopController ResponseTxt: "+tsrbObj.getResponseTxt());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
