package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepTestDetails;


@Repository
public interface PgprepTestDetailsRepository extends JpaRepository<PgprepTestDetails, Long> {

	
	@Transactional
	@Modifying
	void deleteByStudentId(String studentId);
	
}
