package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.bizofficer.hibernate.entity.TopicKeyword;


@Repository
public interface TopicKeywordRepository extends JpaRepository<TopicKeyword, Long> {

	@Query(value = "SELECT SUM(keywordCount) FROM TopicKeyword where keyword=:keyword")
	Integer getKeywordCountSumByKeyword(String keyword);
	
}
