package com.bizofficer.teacher.login;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class LoginTeachController {
	
	@Autowired
	private LoginTeachService loginServiceObj;
	
	////teacherlogin?userId=&password=
	@RequestMapping(value = {"/teacherlogin"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")LoginTeachBean objBean) {
		
		try {
			
			System.out.println("LoginTeachController UserId: "+objBean.getUserId() );
			
			LoginTeachResponseBean tsrbObj = (LoginTeachResponseBean) (Object) loginServiceObj.execute(objBean);
			
			System.out.println("LoginTeachController ResponseTxt: "+tsrbObj.getResponseTxt());
			System.out.println("LoginTeachController Token: "+tsrbObj.getToken());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
