package com.bizofficer.util.system;

import javax.servlet.http.HttpServletRequest;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;


public class SessionMake {

	public Object getSession(String sessionString){
		ServletRequestAttributes sra = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes();
		if(sra!=null){
			HttpServletRequest request = sra.getRequest();
			return request.getSession().getAttribute(sessionString);
		}
		return null;
	}

	public void setFullName(String fullName) {
		ServletRequestAttributes sra = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes();
		HttpServletRequest request = sra.getRequest();
		request.getSession().setAttribute("fullName", fullName);
	}
	
	public String getFullName() {
		return (String)this.getSession("fullName");
	}

	

	
}
