package com.bizofficer.website.students;



import javax.persistence.EntityManagerFactory;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.entity.PgprepStudentDetails;
import com.bizofficer.hibernate.repository.PgprepStudentDetailsRepository;


@Service
public class WebStudentTokenService{
	
	private static final Logger logger = Logger.getLogger(WebStudentTokenService.class);
	
    @Autowired
	EntityManagerFactory entityManagerFactory;
    
    @Autowired
	PgprepStudentDetailsRepository stRepoObj;
    
	public Object execute(Object obj) throws NotFoundException{
		WebStuBean objBean = (WebStuBean) obj; 	
		WebStuResponseBean responseBeanObj = new WebStuResponseBean();
		
		try {
			responseBeanObj.setResponseTxt("failed");
			
			if(objBean.getStudentId()==null) {
				return responseBeanObj;
			}

			logger.info("StudentId: "+objBean.getStudentId() );
	
			PgprepStudentDetails stdetails = stRepoObj.findByStudentId(objBean.getStudentId());
			
			if(stdetails!=null) {
				responseBeanObj.setLoginKey(stdetails.getLoginKey());
				responseBeanObj.setResponseTxt("success");
			}
	        	   
			
		}catch(Exception e) {
			e.getStackTrace();			
		}
		
		
		return responseBeanObj;
	}
	
	
	
	
}
