import React from 'react';

import axios from 'axios';

export default class ProductsPage extends React.Component {
  state = {
    products: [] /// {"pid":"1","ptitle":"Apple"},{"pid":"2","ptitle":"Mango"},{"pid":"3","ptitle":"Banana"}
  }

// GOOD TUTORIAL https://www.digitalocean.com/community/tutorials/react-axios-react

  componentDidMount() {
    axios.get('http://localhost/testing/products.php')
      .then(response => {
		console.log("Just Checking >> "+response.data);  
        const products = response.data;
        this.setState({ products });
      })
  }

/*
	componentDidMount = () => {
      fetch('http://localhost/testing/products.php', {
         method: 'GET'
      })
      .then((response) => response.json())
      .then((responseJson) => {
         console.log(responseJson);
         this.setState({
            products: responseJson
         })
      })
      .catch((error) => {
         console.error(error);
      });
   }
   */

  render() {
    return (
	  <div>
		  <h2>This is Products List</h2>	
		  <ul>
			{ this.state.products.map(productObj => <li>{productObj.ptitle}</li>)}
		  </ul>
	  </div>
    )
  }
}